## org.eclipse.emf.ecore.resource.impl
Class URIConverterImpl.PlatformResourceOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.eclipse.emf.ecore.resource.impl.URIConverterImpl.PlatformResourceOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  URIConverterImpl

    public static class URIConverterImpl.PlatformResourceOutputStream

extends java.io.ByteArrayOutputStream

An output stream that transfers its contents to an `IFile` upon closing.

Field Summary
`protected IFile` `file`
`protected boolean` `force`
`protected boolean` `keepHistory`
`protected boolean` `previouslyFlushed`
`protected IProgressMonitor` `progressMonitor`

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`URIConverterImpl.PlatformResourceOutputStream(IFile file, boolean force, boolean keepHistory, IProgressMonitor progressMonitor)`

Method Summary
`void` `close()`
`protected void` `createContainer(IContainer container)`
`void` `flush()`

Methods inherited from class java.io.ByteArrayOutputStream
`reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected IFile file

### force

    protected boolean force

### keepHistory

    protected boolean keepHistory

### progressMonitor

    protected IProgressMonitor progressMonitor

### previouslyFlushed

    protected boolean previouslyFlushed

Constructor Detail

### URIConverterImpl.PlatformResourceOutputStream

    public URIConverterImpl.PlatformResourceOutputStream(IFile file,
                                                         boolean force,
                                                         boolean keepHistory,
                                                         IProgressMonitor progressMonitor)

Method Detail

### createContainer

    protected void createContainer(IContainer container)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.ByteArrayOutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.